"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _draftJs = require("draft-js");

var _default = function _default(editorState) {
  let selection = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : editorState.getSelection();
  const styles = ["BOLD", "ITALIC", "STRIKETHROUGH", "CODE"];

  const newEditorState = _draftJs.EditorState.push(editorState, styles.reduce((newContentState, style) => _draftJs.Modifier.removeInlineStyle(newContentState, selection, style), editorState.getCurrentContent()), "change-inline-style");

  return _draftJs.RichUtils.toggleLink(newEditorState, selection, null);
};

exports.default = _default;